function init()
	printer = FindShape("print")
	
	printLight = FindLight("print")
	
	loop = LoadLoop("MOD/main/assets/printer.ogg")
	printing = false
end

function tick(dt)
	broken = IsShapeBroken(printer)
	
	if not broken then
		if GetPlayerInteractShape() == printer and InputPressed("interact") then
			if not printing then
				printing = true
			else
				printing = false
			end
		end
		
		if not printing then
			SetTag(printer, "interact", "Turn on")
			SetLightEnabled(printLight, false)
		else
			SetTag(printer, "interact", "Turn off")
			SetLightEnabled(printLight, true)
			PlayLoop(loop)
		end
	else
		RemoveTag(printer, "interact")
	end
end