function init()
	up = FindShapes("lala", true)
	down = FindShapes("po", true)
	motor = FindJoint("chainsaw", true)
	cabin = FindShape("platform", true)
	
	liftTop = FindTrigger("towerTop", true)
	liftBottom = FindTrigger("towerBottom", true)
	
	motorRun = LoadLoop("vehicle/hydraulic-loop.ogg")
	chime = LoadSound("elevator-chime.ogg")
	
	
	doorSpeed = 0
	speed = 0
	
	
	for i=1,#up do
		SetTag(up[i], "interact", "Up")
	end

	for i=1,#down do
		SetTag(down[i], "interact", "Down")
	end

	movingUp = false
	movingDown = false

end

function moveUp()
	movingDown = false
	SetJointMotor(motor, speed + 10) --lift speed, up.
end

function moveDown()
	movingUp = false
	SetJointMotor(motor, speed - 10) --lift speed, down.
end

function stopMoving()
local motorPos = GetShapeWorldTransform(cabin).pos
	SetJointMotor(motor, speed)
	movingUp = false
	movingDown = false
	PlaySound(chime, motorPos) --Plays a chime when the elevator stops.
end

function tick(dt)
local motorPos = GetShapeWorldTransform(cabin).pos

	for i=1,#up do
		if GetPlayerInteractShape() == up[i] and InputPressed("interact") then
			movingUp = true
			moveUp()
		end
	end

	for i=1,#down do
		if GetPlayerInteractShape() == down[i] and InputPressed("interact") then
			movingDown = true
			moveDown()
		end
	end
	
	if movingUp or movingDown then
		PlayLoop(motorRun, motorPos)
	end
	
	if IsPointInTrigger(liftTop, motorPos) and movingUp then
		stopMoving()
	elseif IsPointInTrigger(liftBottom, motorPos) and movingDown then
		stopMoving()
	end
end



--work in progress.