function init()
	trigger = FindTrigger("trafficLight")
	red = FindLight("red")
	yellow = FindLight("yellow")
	green = FindLight("green")
	
	pole = FindShape("pole")
	
	SetTag(trigger, "red")

	SetLightEnabled(red, false)

	SetLightEnabled(yellow, false)

	SetLightEnabled(green, false)
	
	lightTimer = 0
end

function update(dt)
	if IsShapeBroken(pole) == false then
		if HasTag(trigger, "green") then
			SetLightEnabled(green, true)
			SetLightEnabled(yellow, false)
			SetLightEnabled(red, false)
			lightTimer = lightTimer + dt
			if lightTimer >= 5 then
				lightTimer = 0
				RemoveTag(trigger, "green")
				SetTag(trigger, "yellow")
			end
		end
		
		if HasTag(trigger, "yellow") then
			SetLightEnabled(green, false)
			SetLightEnabled(yellow, true)
			SetLightEnabled(red, false)
			lightTimer = lightTimer + dt
			if lightTimer >= 5 then
				lightTimer = 0
				RemoveTag(trigger, "yellow")
				SetTag(trigger, "red")
			end
		end
		
		if HasTag(trigger, "red") then
			SetLightEnabled(green, false)
			SetLightEnabled(yellow, false)
			SetLightEnabled(red, true)
			lightTimer = lightTimer + dt
			if lightTimer >= 10 then
				lightTimer = 0
				RemoveTag(trigger, "red")
				SetTag(trigger, "green")
			end
		end
	else
		SetLightEnabled(red, false)
		SetLightEnabled(yellow, false)
		SetLightEnabled(green, false)
	end
end