function init()
	
	apartTrig = FindTrigger("apartmentTrig")
	fairTrig = FindTrigger("fairTrig")
	
	warpTimer = 5

end

function tick(dt)
	local point = GetPlayerTransform().pos
	
	if IsPointInTrigger(apartTrig, point) then
		warpTimer = warpTimer - dt
		SetString("hud.notification", "Warping to Apartments Classic. Turn back around to cancel.")
		if warpTimer <= 0 then
			if GetBool("savegame.mod.Fernwayrain") == true then
				if GetBool("savegame.mod.Fernwaynight") == true then
					StartLevel("fernway", "MOD/classic.xml", "classic rainnight")
				else
					StartLevel("fernway", "MOD/classic.xml", "classic rainday")
				end
			else
				if GetBool("savegame.mod.Fernwaynight") == true then
					StartLevel("fernway", "MOD/classic.xml", "classic clearnight")
				else
					StartLevel("fernway", "MOD/classic.xml", "classic clearday")
				end
			end
		end
	end
	
	if IsPointInTrigger(fairTrig, point) then
		warpTimer = warpTimer - dt
		SetString("hud.notification", "Warping to Fairgrounds. Turn back around to cancel.")
		if warpTimer <= 0 then
			if GetBool("savegame.mod.Fernwayrain") == true then
				if GetBool("savegame.mod.Fernwaynight") == true then
					StartLevel("fernway", "MOD/fair.xml", "fair rainnight")
				else
					StartLevel("fernway", "MOD/fair.xml", "fair fairrain")
				end
			else
				if GetBool("savegame.mod.Fernwaynight") == true then
					StartLevel("fernway", "MOD/fair.xml", "fair clearnight")
				else
					StartLevel("fernway", "MOD/fair.xml", "fair fairday")
				end
			end
		end
	end
	
	if IsPointInTrigger(fairTrig, point) == false and IsPointInTrigger(apartTrig, point) == false then
		warpTimer = 5
	end
end

