function init()
	credits = false
end

function draw()

	UiScale(0.33)
	UiTranslate(UiCenter() * 3, UiMiddle())
	UiAlign("center middle")
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 50, 40, 6, 6)
		UiFont("bold.ttf", 230)
		UiColor(0, 1, 0, 1)
		UiTextOutline(1, 1, 1, 1, 0.5)
		UiText("Hello!")
	UiPop()
	
	UiPush()
		UiTranslate(0, 200)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(0, 1, 0, 1)
		UiWordWrap(800)
		UiText("Make sure you check out my other mods! (Click the buttons to go to their workshop page):")
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 300)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(1, 1, 1, 1)
		if UiTextButton("NGNT Nuclear Facility") then
			Command("game.openurl", "https://steamcommunity.com/sharedfiles/filedetails/?id=2414368811")
		end
		
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 400)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(1, 1, 1, 1)
		if UiTextButton("Bob-omb Battlefield") then
			Command("game.openurl", "https://steamcommunity.com/sharedfiles/filedetails/?id=2421308631")
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 500)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(1, 1, 1, 1)
		if UiTextButton("Restart Commands") then
			Command("game.openurl", "https://steamcommunity.com/sharedfiles/filedetails/?id=2417090070")
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 12, 12)
		UiTranslate(0, 700)
		UiFont("bold.ttf", 60)
		UiColor(0, 1, 0, 1)
		if UiTextButton("Map Credits") then
			credits = true
		end
	UiPop()
	
	if credits then
		drawCredits()
	end
end

function drawCredits()
	UiPush()
		UiTranslate(0, 540)
		UiAlign("center middle")
		UiColor(0, 0, 0)
		UiRect(2000, 2000)
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 12, 12)
		UiTranslate(0, 1000)
		UiFont("bold.ttf", 60)
		UiColor(0, 1, 0, 1)
		if UiTextButton("Return") then
			credits = false
		end
	UiPop()
	
	UiPush()
		UiTranslate(0, 50)
		UiAlign("center middle")
		UiFont("bold.ttf", 100)
		UiColor(0, 1, 0, 1)
		UiText("Map Credits:")
	UiPop()
	
	UiPush()
		UiTranslate(0, 200)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(0, 0, 1, 1)
		UiText("Music and sound editing:")
	UiPop()
	
	UiPush()
		UiTranslate(0, 250)
		UiAlign("center middle")
		UiFont("bold.ttf", 40)
		UiColor(1, 1, 1, 1)
		UiText("MrFox2000")
	UiPop()
	
	UiPush()
		UiTranslate(0, 400)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(0, 0, 1, 1)
		UiText("Various assets:")
	UiPop()
	
	UiPush()
		UiTranslate(0, 450)
		UiAlign("center middle")
		UiFont("bold.ttf", 40)
		UiColor(1, 1, 1, 1)
		UiText("Captain Morgan, MrFox2000, Murdoc")
	UiPop()
	
	UiPush()
		UiTranslate(0, 600)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(0, 0, 1, 1)
		UiText("Map menu screen:")
	UiPop()
	
	UiPush()
		UiTranslate(0, 650)
		UiAlign("center middle")
		UiFont("bold.ttf", 40)
		UiColor(1, 1, 1, 1)
		UiText("Murdoc, MrFox2000")
	UiPop()
	
	UiPush()
		UiTranslate(0, 800)
		UiAlign("center middle")
		UiFont("bold.ttf", 50)
		UiColor(0, 0, 1, 1)
		UiText("Map scripts, map creator/author:")
	UiPop()
	
	UiPush()
		UiTranslate(0, 850)
		UiAlign("center middle")
		UiFont("bold.ttf", 40)
		UiColor(1, 1, 1, 1)
		UiText("Murdoc, Captain Morgan")
	UiPop()
end