function init()
	machineBody = FindBody("gumMachine")
	machine = FindShape("gumMachine")
	
	SetTag(machine, "interact", "Turn")
	
	joint = FindJoint("joint")
	
	ratchet = LoadLoop("MOD/main/assets/gumMachine.ogg")
end

function tick(dt)
	broken = IsBodyBroken(machineBody)
	
	if not broken then
		if GetPlayerInteractShape() == machine and InputDown("interact") then
			SetJointMotor(joint, 1.66)
			PlayLoop(ratchet)
		else
			SetJointMotor(joint, 0)
		end
	else
		RemoveTag(machine, "interact")
	end
end