function init()
	lights = FindLights("main", true)
	maxMass = 10
	maxDist = 500
	SetInt("savegame.mod.perf", 0)
	
	fun = false
end

function draw()
	UiScale(0.33)
	UiTranslate(UiCenter() + 640, 100)
	UiAlign("center middle")
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 50, 40, 6, 6)
		UiFont("bold.ttf", 80)
		UiColor(0, 1, 0, 1)
		UiText("Map Settings")
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 100)
		UiFont("bold.ttf", 60)
		UiColor(1, 1, 1, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		UiText("Map light color")
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(-300, 200)
		UiFont("bold.ttf", 60)
		UiColor(1, 0, 0, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		if UiTextButton("Red") then
			SetBool("savegame.mod.Fernwayred", true)
			SetBool("savegame.mod.Fernwaygreen", false)
			SetBool("savegame.mod.Fernwayblue", false)
			SetBool("savegame.mod.Fernwaywhite", false)
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(-100, 200)
		UiFont("bold.ttf", 60)
		UiColor(0, 1, 0, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		if UiTextButton("Green") then
			SetBool("savegame.mod.Fernwayred", false)
			SetBool("savegame.mod.Fernwaygreen", true)
			SetBool("savegame.mod.Fernwayblue", false)
			SetBool("savegame.mod.Fernwaywhite", false)
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(100, 200)
		UiFont("bold.ttf", 60)
		UiColor(0, 0, 1, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		if UiTextButton("Blue") then
			SetBool("savegame.mod.Fernwayred", false)
			SetBool("savegame.mod.Fernwaygreen", false)
			SetBool("savegame.mod.Fernwayblue", true)
			SetBool("savegame.mod.Fernwaywhite", false)
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(300, 200)
		UiFont("bold.ttf", 60)
		UiColor(1, 1, 1, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		if UiTextButton("White") then
			SetBool("savegame.mod.Fernwayred", false)
			SetBool("savegame.mod.Fernwaygreen", false)
			SetBool("savegame.mod.Fernwayblue", false)
			SetBool("savegame.mod.Fernwaywhite", true)
		end
	UiPop()

	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 400)
		UiFont("bold.ttf", 60)
		UiColor(1, 1, 1, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		UiText("Sound Options")
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(-100, 500)
		UiFont("bold.ttf", 60)
		UiColor(0, 1, 0, 1)
		if UiTextButton("On") then
			SetBool("savegame.mod.Fernwaysound", true)
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(100, 500)
		UiFont("bold.ttf", 60)
		UiColor(1, 0, 0, 1)
		if UiTextButton("Off") then
			SetBool("savegame.mod.Fernwaysound", false)
		end
	UiPop()
	
		
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 900)
		UiFont("bold.ttf", 60)
		UiColor(0, 1, 0, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		if UiTextButton("Fun Menu") then
			fun = true
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 1200)
		UiFont("bold.ttf", 60)
		UiColor(1, 0, 0, 1)
		UiTextOutline(0, 0, 0, 1, 0.5)
		if UiTextButton("Restart Map") then
			Restart()
		end
	UiPop()
	
	if GetBool("savegame.mod.Fernwaysound") == false then
		UiMute(1.0, true)
	end
	
	if fun == true then
		drawFun()
	end
	
	if suck == 1 then
		SetInt("savegame.mod.funSuck", 1)
	else
		SetInt("savegame.mod.funSuck", 0)
	end
end

function drawFun()
	UiColor(0, 0, 0, 1)
	UiRect(UiHeight() * 3.33, UiWidth() * 3.33)
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 50, 40, 6, 6)
		UiFont("bold.ttf", 80)
		UiColor(0, 1, 0, 1)
		UiText("Fun Menu")
	UiPop()

	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 200)
		UiFont("bold.ttf", 60)
		UiColor(1, 0, 0, 1)
		if UiTextButton("Boom!") then
			SetInt("savegame.mod.funExplode", 1)
		else
			SetInt("savegame.mod.funExplode", 0)
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 12, 12)
		UiTranslate(0, 900)
		UiFont("bold.ttf", 60)
		UiColor(0, 1, 0, 1)
		if UiTextButton("Return") then
			fun = false
		end
	UiPop()
	
	UiPush()
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiTranslate(0, 300)
		UiFont("bold.ttf", 60)
		UiColor(1, 0, 0, 1)
		if UiTextButton("Singularity") then
			if GetInt("savegame.mod.funSuck") == 0 then
				suck = 1
			else
				suck = 0
			end
		end
	UiPop()
end

function tick(dt)
	if GetInt("savegame.mod.perf") == 1 then
		local t = GetCameraTransform()
		local c = TransformToParentPoint(t, Vec(0, 0, -maxDist/2))
		local mi = VecAdd(c, Vec(-maxDist/2, -maxDist/2, -maxDist/2))
		local ma = VecAdd(c, Vec(maxDist/2, maxDist/2, maxDist/2))
		QueryRequire("physical dynamic")
		local bodies = QueryAabbBodies(mi, ma)

		
		for i=1,#bodies do
			local b = bodies[i]
			local bmi, bma = GetBodyBounds(b)
			local mass = GetBodyMass(b)
			adjustedMaxMass = maxMass^3

			
			if mass < adjustedMaxMass then
				Delete(b)
			end
		end
	end
end
